VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "File Compare"
   ClientHeight    =   7350
   ClientLeft      =   45
   ClientTop       =   390
   ClientWidth     =   12735
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   7350
   ScaleWidth      =   12735
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdCompareStringent 
      Caption         =   "Compare Stringent"
      Height          =   495
      Left            =   120
      TabIndex        =   9
      Top             =   6720
      Width           =   6135
   End
   Begin VB.CommandButton cmdCompareFileSize 
      Caption         =   "Compare File Size"
      Height          =   495
      Left            =   120
      TabIndex        =   8
      Top             =   6120
      Width           =   6135
   End
   Begin VB.FileListBox File2 
      Height          =   4965
      Left            =   9600
      TabIndex        =   5
      Top             =   960
      Width           =   3015
   End
   Begin VB.DirListBox Dir2 
      Height          =   5040
      Left            =   6480
      TabIndex        =   4
      Top             =   960
      Width           =   3015
   End
   Begin VB.DriveListBox Drive2 
      Height          =   315
      Left            =   6480
      TabIndex        =   3
      Top             =   600
      Width           =   3015
   End
   Begin VB.FileListBox File1 
      Height          =   4965
      Left            =   3240
      TabIndex        =   2
      Top             =   960
      Width           =   3015
   End
   Begin VB.DirListBox Dir1 
      Height          =   5040
      Left            =   120
      TabIndex        =   1
      Top             =   960
      Width           =   3015
   End
   Begin VB.DriveListBox Drive1 
      Height          =   315
      Left            =   120
      TabIndex        =   0
      Top             =   600
      Width           =   3015
   End
   Begin VB.Label lblResults 
      Height          =   735
      Left            =   6480
      TabIndex        =   11
      Top             =   6480
      Width           =   6135
   End
   Begin VB.Label lblResultsCaption 
      Caption         =   "Results:"
      Height          =   255
      Left            =   6480
      TabIndex        =   10
      Top             =   6120
      Width           =   6135
   End
   Begin VB.Label lblFileTwo 
      Caption         =   "File Two"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   6480
      TabIndex        =   7
      Top             =   120
      Width           =   6135
   End
   Begin VB.Label lblFileOne 
      Caption         =   "File One"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   6135
   End
   Begin VB.Line Line1 
      X1              =   6360
      X2              =   6360
      Y1              =   6000
      Y2              =   240
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'****************************************************************************
' Project     : prjCompareTwoFiles
' Author      : VB6Boy
' Purpose     : Demo program for "AreTheyTheSame" function, compares two files
' Requirements: None
'
' Modification History:
'
' Date       Mod Notes
' ---------- ----------------------------------------------------------------
' 2017/06/03 Initial Creation
'
'****************************************************************************

Dim strFile1 As String  'first file to be compared
Dim strFile2 As String  'second file to be compared


Private Sub cmdCompareFileSize_Click()

    Dim ret As Boolean
    ret = AreTheyTheSame(strFile1, strFile2, False)
    
    If ret = True Then
        
        lblResults.Caption = "Files are the same"
    
    Else
        
        lblResults.Caption = "File are not the same"
    
    End If
        
End Sub

Private Sub cmdCompareStringent_Click()
    
    Dim ret As Boolean
    ret = AreTheyTheSame(strFile1, strFile2, True)
    
    If ret = True Then
        
        lblResults.Caption = "Files are the same"
    
    Else
        
        lblResults.Caption = "File are not the same"
    
    End If
    
End Sub

Private Sub Dir1_Change()

    File1.Path = Dir1.Path
    
End Sub

Private Sub Dir2_Change()

    File2.Path = Dir2.Path
    
End Sub

Private Sub Drive1_Change()

    Dir1.Path = Drive1.Drive
    
End Sub

Private Sub Drive2_Change()

    Dir2.Path = Drive2.Drive
    
End Sub

Private Sub File1_Click()

    strFile1 = Dir1.Path & "\" & File1.FileName
    lblResults.Caption = "File One:" & vbCrLf & strFile1 & vbCrLf & "selected."
    
End Sub

Private Sub File2_Click()

    strFile2 = Dir2.Path & "\" & File2.FileName
    lblResults.Caption = "File Two:" & vbCrLf & strFile2 & vbCrLf & "selected."
    
End Sub
